import { ProColumns } from "@ant-design/pro-table";
import React from "react";
import DelApp from "./delApp";


const tableConfig = (handleEdit: (data: any) => void, userObj: any, appObj: any) => {

    const columns: ProColumns<any>[] = [
        {
            title: '用户名称',
            dataIndex: 'userName',
            width: 120,
            hideInSearch: true
        },
        {
            title: '用户',
            dataIndex: 'userId',
            hideInTable: true,
            valueEnum: userObj
        },
        {
            title: '应用名称',
            key: 'iaaAppId',
            dataIndex: 'iaaAppId',
            align: 'center',
            width: 110,
            valueEnum: appObj
        },
        {
            title: '是否包含自然量',
            dataIndex: 'defaultAgent',
            search: false,
            align: 'center',
            width: 80,
            valueEnum: {
                false: {
                    text: '否',
                    status: 'error'
                },
                true: {
                    text: '是',
                    status: 'success'
                }
            }
        },
        {
            title: '创建人',
            dataIndex: 'createName',
            search: false,
            align: 'center',
            width: 100,
        },
        {
            title: '更新人',
            dataIndex: 'updateByName',
            search: false,
            align: 'center',
            width: 100,
        },
        {
            title: '创建时间',
            dataIndex: 'createTime',
            search: false,
            align: 'center',
            width: 150
        },
        {
            title: '操作',
            key: 'option',
            valueType: 'option',
            render: (_, row, index, action) => [
                <a key={'xg'} onClick={() => { handleEdit(row); }} >编辑</a>,
                <div key={'delete'}><DelApp
                    id={row.id}
                    onChange={() => action?.reload()}
                /></div>
            ],
        },
    ];
    return columns
}

export default tableConfig