import { request } from 'umi';
import { api } from '../api';

const iaaApi = api + '/iaaManage'


/**
 * 获取授权应用列表
 * @returns 
 */
export async function getAppListApi(data: IAAAPI.GetAppListProps) {
    return request(iaaApi + `/auth/member/app/list`, {
        method: 'POST',
        data
    });
}

/**
 * 新增应用
 * @param data 
 * @returns 
 */
export async function addAppApi(data: IAAAPI.AddAppProps) {
    return request(iaaApi + `/auth/member/app/add`, {
        method: 'POST',
        data
    });
}


/**
 * 更新应用
 * @param data 
 * @returns 
 */
export async function updateAppApi(data: IAAAPI.UpdateAppProps) {
    return request(iaaApi + `/auth/member/app/update`, {
        method: 'POST',
        data
    });
}

/**
 * 删除
 * @param params 
 * @returns 
 */
export async function delAppApi(params: { id: number }) {
    return request(iaaApi + `/auth/member/app/delete`, {
        method: 'DELETE',
        params
    });
}

/**
 * 查询系统所有应用列表
 * @returns 
 */
export async function getAppAllApi() {
    return request(iaaApi + `/app/all/list`, {
        method: 'GET'
    });
}


/**
 * 查询应用授权成员列表
 * @returns 
 */
export async function getAppMemberApi() {
    return request(iaaApi + `/auth/app/member/list`, {
        method: 'GET'
    });
}

/**
 * 查询成员被授权应用列表
 * @returns 
 */
export async function getAppAuthListApi() {
    return request(iaaApi + `/app/auth/list`, {
        method: 'GET'
    });
}