
import { request } from 'umi';
import { api } from '../api';

const iaaApi = api + '/iaaManage'


/**
 * 新增IAA渠道
 * @returns 
 */
export async function addIaaAgentApi(data: IAAAPI.AddIaaAgentProps) {
    return request(iaaApi + `/iaaAgent/add`, {
        method: 'POST',
        data
    });
}

/**
 * 获取渠道列表
 * @param data 
 * @returns 
 */
export async function getIaaAgentListApi(data: IAAAPI.GetIaaAgentListProps) {
    return request(iaaApi + `/iaaAgent/listOfPage`, {
        method: 'POST',
        data
    });
}

/**
 * IAA渠道变更状态
 * @param param0 
 * @returns 
 */
export async function iaaConfigPutStatusApi({ agentIds, putStatus }: { agentIds: string, putStatus: string }) {
    return request(iaaApi + `/iaaAgent/configPutStatus/${agentIds}/${putStatus}`, {
        method: 'PUT'
    });
}

/**
 * IAA渠道绑定策略
 * @param param0 
 * @returns 
 */
export async function iaaConfigBackPolicyApi({ agentIds }: { agentIds: string }) {
    return request(iaaApi + `/iaaAgent/configBackPolicy/${agentIds}`, {
        method: 'PUT'
    });
}


/**
 * IAA渠道绑定策略
 * @param param0 
 * @returns 
 */
export async function iaaConfigBackPolicyBackApi({ agentIds, backPolicyId }: { agentIds: string, backPolicyId: number }) {
    return request(iaaApi + `/iaaAgent/configBackPolicy/${agentIds}/${backPolicyId}`, {
        method: 'PUT'
    });
}